# Class TopicConnectionFactory

java.lang.Object
com.sun.messaging.AdministeredObject
com.sun.messaging.BasicConnectionFactory
com.sun.messaging.ConnectionFactory
com.sun.messaging.TopicConnectionFactory

All Implemented Interfaces:
  `jakarta.jms.ConnectionFactory, jakarta.jms.TopicConnectionFactory, Serializable, Referenceable`

public class TopicConnectionFactory extends ConnectionFactory implements jakarta.jms.TopicConnectionFactory
A `TopicConnectionFactory` is used to create TopicConnections with the Sun MQ Java Message Service (JMS) Publish/Subscribe (Pub/Sub) provider.

See Also:
  - `jakarta.jms.TopicConnectionFactory`
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class AdministeredObject

  `AO_PROPERTY_TYPE_BOOLEAN, AO_PROPERTY_TYPE_INTEGER, AO_PROPERTY_TYPE_LIST, AO_PROPERTY_TYPE_LONG, AO_PROPERTY_TYPE_PROPERTYOWNER, AO_PROPERTY_TYPE_STRING, cachedConfigurationMap, configuration, configurationLabels, configurationTypes, cr, VERSION`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `TopicConnectionFactory()`
  Constructs a TopicConnectionFactory with the default configuration.
  `protected`
  `TopicConnectionFactory(String defaultsBase)`
  Constructs a TopicConnectionFactory with the specified configuration.

- ## Method Summary

  ### Methods inherited from class ConnectionFactory

  `createQueueConnection, createQueueConnection, createTopicConnection, createTopicConnection, getReference`

  ### Methods inherited from class BasicConnectionFactory

  `createConnection, createConnection, createContext, createContext, createContext, createContext, getConnectionType, getContainerType, setConnectionType, setDefaultConfiguration, toString`

  ### Methods inherited from class AdministeredObject

  `dump, enumeratePropertyNames, getConfiguration, getCurrentConfiguration, getLabelForGroup, getPropertiesForGroup, getProperty, getPropertyForListValue, getPropertyGroups, getPropertyLabel, getPropertyListOtherName, getPropertyListValues, getPropertyType, getPropertyValueForListValue, getStoredVersion, getVERSION, isPropertyDeprecated, isPropertyHidden, isReadOnly, isStoredVersionCompatible, setProperties, setProperty, setReadOnly, setStoredVersion`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface jakarta.jms.ConnectionFactory

  `createConnection, createConnection, createContext, createContext, createContext, createContext`

  ### Methods inherited from interface jakarta.jms.TopicConnectionFactory

  `createTopicConnection, createTopicConnection`

- ## Constructor Details

  - ### TopicConnectionFactory

    public TopicConnectionFactory()
    Constructs a TopicConnectionFactory with the default configuration.

  - ### TopicConnectionFactory

    protected TopicConnectionFactory(String defaultsBase)
    Constructs a TopicConnectionFactory with the specified configuration.